Package org.apache.storm.perf

# Class KafkaClientSpoutNullBoltTopo

java.lang.Object
org.apache.storm.perf.KafkaClientSpoutNullBoltTopo

public class KafkaClientSpoutNullBoltTopo extends Object
Benchmark topology for measuring spout read/emit/ack performance. The spout reads and emits tuples. The bolt acks and discards received tuples.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOLT_ID`
  `static final String`
  `BOLT_NUM`
  `static final String`
  `BOOTSTRAP_SERVERS`
  `static final int`
  `DEFAULT_BOLT_NUM`
  `static final int`
  `DEFAULT_SPOUT_NUM`
  `static final String`
  `KAFKA_TOPIC`
  `static final String`
  `OFFSET_COMMIT_PERIOD_MS`
  `static final String`
  `PROCESSING_GUARANTEE`
  `static final String`
  `SPOUT_ID`
  `static final String`
  `SPOUT_NUM`
  `static final String`
  `TOPOLOGY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KafkaClientSpoutNullBoltTopo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StormTopology`
  `getTopology(Map<String,Object> config)`
  Create and configure the topology.
  `static void`
  `main(String[] args)`
  Start the topology.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SPOUT_NUM

    public static final String SPOUT_NUM
    See Also:
      - Constant Field Values

  - ### BOLT_NUM

    public static final String BOLT_NUM
    See Also:
      - Constant Field Values

  - ### BOOTSTRAP_SERVERS

    public static final String BOOTSTRAP_SERVERS
    See Also:
      - Constant Field Values

  - ### KAFKA_TOPIC

    public static final String KAFKA_TOPIC
    See Also:
      - Constant Field Values

  - ### PROCESSING_GUARANTEE

    public static final String PROCESSING_GUARANTEE
    See Also:
      - Constant Field Values

  - ### OFFSET_COMMIT_PERIOD_MS

    public static final String OFFSET_COMMIT_PERIOD_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_SPOUT_NUM

    public static final int DEFAULT_SPOUT_NUM
    See Also:
      - Constant Field Values

  - ### DEFAULT_BOLT_NUM

    public static final int DEFAULT_BOLT_NUM
    See Also:
      - Constant Field Values

  - ### TOPOLOGY_NAME

    public static final String TOPOLOGY_NAME

  - ### SPOUT_ID

    public static final String SPOUT_ID
    See Also:
      - Constant Field Values

  - ### BOLT_ID

    public static final String BOLT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KafkaClientSpoutNullBoltTopo

    public KafkaClientSpoutNullBoltTopo()

- ## Method Details

  - ### getTopology

    public static StormTopology getTopology(Map<String,Object> config)
    Create and configure the topology.

  - ### main

    public static void main(String[] args) throws Exception
    Start the topology.
    Throws:
      `Exception`